LIBKECCAK_HMAC_SET_KEY(3)

NAME
libkeccak_hmac_set_key - Changes key for a the HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
int libkeccak_hmac_set_key(struct libkeccak_hmac_state *state, const void *key, size_t key_length);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_set_key() function sets the key for a HMAC-hashing state without reseting the state of the underlaying hashing-algorithm. key_length is the length of the key in bits.

RETURN VALUES
The libkeccak_hmac_set_key() function returns 0 successful completion. On error -1 is returned and errno is set to describe the error.

ERRORS
The libkeccak_hmac_set_key() function may fail for any specified for the function realloc(3).

SEE ALSO
libkeccak_hmac_create(3), libkeccak_hmac_initialise(3), libkeccak_hmac_reset(3)